# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY

Summary:   Galeon
Name:      galeon
Version:   1.3.0
Release:   1
Copyright: GPL
Group:     Applications/Internet
Source:    galeon-%{PACKAGE_VERSION}.tar.gz
URL:       http://galeon.sourceforge.net
BuildRoot: /tmp/galeon-%{PACKAGE_VERSION}-root
Packager:  Marco Pesenti Gritti <mpeseng@tin.it>
Autoreq: 0

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine) 
and Necko (Mozilla's networking engine). It's a GNOME web browser, 
designed to take advantage of as many GNOME technologies as makes sense. 
Galeon was written to do just one thing - browse the web.
%prep
%setup

%build

# if you set the DONT_BUILD_NAUTILUS_VIEW environment variable to something 
# else than "" the view won't be built. Otherwise, it will e built if 
# libnautilus is detected by configure.
if [ "$DONT_BUILD_NAUTILUS_VIEW" != "" ] ; then
	NAUTILUS_VIEW_OPTION="--enable-nautilus-view=no"
	echo Warning: The nautilius view will not be built.
else
	NAUTILUS_VIEW_OPTION=""
fi

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} \
		--with-gnome --without-debug --sysconfdir=%{_sysconfdir} \
		--mandir=$RPM_BUILD_ROOT%{_mandir} $NAUTILUS_VIEW_OPTION \
		--disable-werror
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
		--with-gnome --without-debug --sysconfdir=%{_sysconfdir} \
		--mandir=$RPM_BUILD_ROOT%{_mandir} $NAUTILUS_VIEW_OPTION \
		--disable-werror
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files

%defattr(0555, bin, bin, 755)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs

%{_bindir}/galeon
%{_bindir}/galeon-bin
%{_bindir}/galeon-config-tool

%{_libdir}/galeon/components

%defattr (0444, bin, bin,755)
%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/applications/galeon.desktop
%{_datadir}/galeon
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_libdir}/bonobo/servers/GNOME_Galeon_Automation.server
%{_libdir}/bonobo/servers/GNOME_Galeon_NautilusView.server
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_datadir}/gnome-2.0/ui/*.xml

%{_mandir}/man1/galeon.1*

%defattr (-, root, root)
%{_datadir}/gnome/help/*
%{_datadir}/omf/galeon/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

